%define version 1.0.4
%define release 1mdk

%define req_opencdk_version 0.5.2
%define req_libgcrypt_version 1.1.90

%define major 10
%define libname %mklibname gnutls

Summary:	Library providing a secure layer (SSL).
Name:		gnutls
Version:	%{version}
Release:	%{release}
URL:		http://www.gnutls.org/
Source0:	ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig.asc
License:	GPL/LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	opencdk-devel >= %{req_opencdk_version}
BuildRequires:	liblzo-devel
BuildRequires:	libgcrypt-devel >= %{req_libgcrypt_version}

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package	-n %{libname}%{major}
Summary:	Library providing a secure layer (SSL).
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}%{major}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package	-n %{libname}%{major}-devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname}%{major} = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	opencdk-devel >= %{req_opencdk_version}
Requires:	libgcrypt-devel >= %{req_libgcrypt_version}

%description	-n %{libname}%{major}-devel
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x --with-included-libtasn1=yes

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig -n %{libname}%{major}

%postun -p /sbin/ldconfig -n %{libname}%{major}

%files 
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}%{major}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_bindir}/libgnutls-*
%{_includedir}/gnutls
%{_datadir}/aclocal/*

%changelog
* Thu Jan 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4

* Sat Dec 27 2003 Abel Cheung <deaddog@deaddog.org> 1.0.3-1mdk
- New version
- Fix devel package dependency
- Use tar.gz tarball and include signature (source verification)

* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release
- fix buildrequires

* Sun Nov 16 2003 Abel Cheung <deaddog@deaddog.org> 0.8.12-1mdk
- 0.8.12
- Use included libtasn1 instead, otherwise gossip ssl connection won't
  work, thanks to Michael Reinsch (mr at uue.org)
- Only wants opencdk = 0.5.1 (0.5.2+ is for gnutls 0.9.x)
- Remove patch0 (upstream)

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.8.11-2mdk
- Rebuild with shared opencdk, libtasn1 and liblzo
- Provides lib64gnutls-devel in 64bit arch, not libgnutls-devel
- Some part of GnuTLS is still in GPL
- More convenient url
- Patch0: Fix non-existant variable type when compiling openpgp support

* Sun Oct 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.11-1mdk
- Release 0.8.11
- Fix url

* Tue Aug  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.9-1mdk
- Initial Mdk package (from imendio)
